name: pingvin-share

services:
  pingvin-share:
    image: stonith404/pingvin-share
    restart: unless-stopped
    ports:
      - target: 3000
        published: "3410"
        protocol: tcp
    environment:
      TRUST_PROXY: false
    deploy:
      resources:
        reservations:
          memory: 256M
    volumes:
      - type: bind
        source: /DATA/AppData/$AppID/data
        target: /opt/app/backend/data
      - type: bind
        source: /DATA/AppData/$AppID/images
        target: /opt/app/frontend/public/img
    x-casaos:
      envs:
        - container: TRUST_PROXY
          description:
            de_DE: Proxy-Vertrauenseinstellung für reverse Proxy-Konfigurationen
            el_GR: Ρύθμιση εμπιστοσύνης διαμεσολαβητή για διαμορφώσεις reverse proxy
            en_GB: Proxy trust setting for reverse proxy configurations
            en_US: Proxy trust setting for reverse proxy configurations
            fr_FR: Paramètre de confiance du proxy pour les configurations de proxy inverse
            hr_HR: Postavka povjerenja proxyja za konfiguracije reverznog proxyja
            it_IT: Impostazione di fiducia del proxy per le configurazioni di proxy inverso
            ja_JP: リバースプロキシ構成用のプロキシ信頼設定
            ko_KR: 리버스 프록시 구성을 위한 프록시 신뢰 설정
            nb_NO: Proxy-tillitsinnstilling for reverse proxy-konfigurasjoner
            pt_PT: Definição de confiança do proxy para configurações de proxy inverso
            ru_RU: Настройка доверия прокси для конфигураций обратного прокси
            sv_SE: Proxy-tillitsinställning för reverse proxy-konfigurationer
            tr_TR: Ters proxy yapılandırmaları için proxy güven ayarı
            zh_CN: 反向代理配置的代理信任设置
      ports:
        - container: "3000"
          description:
            de_DE: Pingvin-Share Web-Interface-Port
            el_GR: Θύρα διασύνδεσης web Pingvin-Share
            en_GB: Pingvin-Share web interface port
            en_US: Pingvin-Share web interface port
            fr_FR: Port de l'interface web Pingvin-Share
            hr_HR: Pingvin-Share web sučelje luka
            it_IT: Porta dell'interfaccia web Pingvin-Share
            ja_JP: Pingvin-Share Webインターフェースポート
            ko_KR: Pingvin-Share 웹 인터페이스 포트
            nb_NO: Pingvin-Share web-grensesnittsport
            pt_PT: Porta da interface web Pingvin-Share
            ru_RU: Порт веб-интерфейса Pingvin-Share
            sv_SE: Pingvin-Share webbgränssnittsport
            tr_TR: Pingvin-Share web arayüzü portu
            zh_CN: Pingvin-Share Web界面端口
      volumes:
        - container: /opt/app/backend/data
          description:
            de_DE: Backend-Datenverzeichnis für Benutzerdaten und Konfigurationen
            el_GR: Κατάλογος δεδομένων backend για δεδομένα χρηστών και διαμορφώσεις
            en_GB: Backend data directory for user data and configurations
            en_US: Backend data directory for user data and configurations
            fr_FR: Répertoire de données backend pour les données utilisateur et les configurations
            hr_HR: Backend direktorij podataka za korisničke podatke i konfiguracije
            it_IT: Directory dati backend per dati utente e configurazioni
            ja_JP: ユーザーデータと設定用のバックエンドデータディレクトリ
            ko_KR: 사용자 데이터 및 구성용 백엔드 데이터 디렉터리
            nb_NO: Backend datamappe for brukerdata og konfigurasjoner
            pt_PT: Diretório de dados backend para dados de utilizador e configurações
            ru_RU: Каталог данных бэкенда для пользовательских данных и конфигураций
            sv_SE: Backend datakatalog för användardata och konfigurationer
            tr_TR: Kullanıcı verileri ve yapılandırmalar için arka uç veri dizini
            zh_CN: 用户数据和配置的后端数据目录
        - container: /opt/app/frontend/public/img
          description:
            de_DE: Frontend-Bilderverzeichnis für benutzerdefinierte Logos und Symbole
            el_GR: Κατάλογος εικόνων frontend για προσαρμοσμένα λογότυπα και εικονίδια
            en_GB: Frontend image directory for custom logos and icons
            en_US: Frontend image directory for custom logos and icons
            fr_FR: Répertoire d'images frontend pour les logos et icônes personnalisés
            hr_HR: Frontend direktorij slika za prilagođene logotipe i ikone
            it_IT: Directory immagini frontend per loghi e icone personalizzati
            ja_JP: カスタムロゴとアイコン用のフロントエンド画像ディレクトリ
            ko_KR: 사용자 정의 로고 및 아이콘용 프론트엔드 이미지 디렉터리
            nb_NO: Frontend bildemappe for egendefinerte logoer og ikoner
            pt_PT: Diretório de imagens frontend para logótipos e ícones personalizados
            ru_RU: Каталог изображений фронтенда для пользовательских логотипов и иконок
            sv_SE: Frontend bildkatalog för anpassade logotyper och ikoner
            tr_TR: Özel logolar ve simgeler için ön uç görüntü dizini
            zh_CN: 自定义徽标和图标的前端图像目录

x-casaos:
  title:
    de_DE: Pingvin-Share
    el_GR: Pingvin-Share
    en_GB: Pingvin-Share
    en_US: Pingvin-Share
    fr_FR: Pingvin-Share
    hr_HR: Pingvin-Share
    it_IT: Pingvin-Share
    ja_JP: Pingvin-Share
    ko_KR: Pingvin-Share
    nb_NO: Pingvin-Share
    pt_PT: Pingvin-Share
    ru_RU: Pingvin-Share
    sv_SE: Pingvin-Share
    tr_TR: Pingvin-Share
    zh_CN: Pingvin-Share
  tagline:
    de_DE: "Selbst gehostete Dateifreigabe mit modernem Web-Interface"
    el_GR: "Αυτο-φιλοξενούμενη κοινή χρήση αρχείων με σύγχρονο web περιβάλλον"
    en_GB: "Self-hosted file sharing with a modern web interface"
    en_US: "Self-hosted file sharing with a modern web interface"
    fr_FR: "Partage de fichiers auto-hébergé avec une interface web moderne"
    hr_HR: "Samostalno hostano dijeljenje datoteka s modernim web sučeljem"
    it_IT: "Condivisione file self-hosted con interfaccia web moderna"
    ja_JP: "モダンなWebインターフェースを備えたセルフホスト型ファイル共有"
    ko_KR: "현대적인 웹 인터페이스를 갖춘 자체 호스팅 파일 공유"
    nb_NO: "Selv-hostet fildeling med et moderne web-grensesnitt"
    pt_PT: "Partilha de ficheiros auto-hospedada com uma interface web moderna"
    ru_RU: "Самостоятельно размещенный обмен файлами с современным веб-интерфейсом"
    sv_SE: "Självhostad fildelning med ett modernt webbgränssnitt"
    tr_TR: "Modern web arayüzü ile kendi kendine barındırılan dosya paylaşımı"
    zh_CN: "具有现代Web界面的自托管文件共享"
  description:
    de_DE: |
      Pingvin-Share ist eine selbstgehostete Dateifreigabe-Anwendung, die mit Nextcloud-Apps kompatibel ist und eine moderne, intuitive Weboberfläche bietet. Sie ermöglicht es Benutzern, Dateien sicher zu speichern, zu organisieren und zu teilen, ohne auf externe Cloud-Dienste angewiesen zu sein. Die Anwendung unterstützt verschiedene Authentifizierungsmethoden und bietet Funktionen wie Freigabelinks, Benutzerkonten und eine responsive Oberfläche.

      **Hauptfunktionen:**
      - Moderne, responsive Weboberfläche
      - Benutzerkonten mit Berechtigungssystem
      - Sichere Freigabelinks für Dateien
      - Drag-and-Drop-Dateiupload
      - Passwortgeschützte Freigaben
      - Mehrere Authentifizierungsmethoden
      - Docker-basierte Bereitstellung für einfache Installation

      **Mehr erfahren:**
      - [Pingvin-Share GitHub](https://github.com/stonith404/pingvin-share)

    el_GR: |
      Το Pingvin-Share είναι μια αυτο-φιλοξενούμενη εφαρμογή κοινής χρήσης αρχείων συμβατή με εφαρμογές Nextcloud και προσφέρει ένα σύγχρονο, διαισθητικό web περιβάλλον. Επιτρέπει στους χρήστες να αποθηκεύουν, να οργανώνουν και να μοιράζονται αρχεία με ασφάλεια χωρίς να βασίζονται σε εξωτερικές υπηρεσίες cloud. Η εφαρμογή υποστηρίζει διάφορες μεθόδους αυθεντικοποίησης και παρέχει λειτουργίες όπως σύνδεσμοι κοινής χρήσης, λογαριασμοί χρηστών και responsive διεπαφή.

      **Κύρια χαρακτηριστικά:**
      - Σύγχρονο, responsive web περιβάλλον
      - Λογαριασμοί χρηστών με σύστημα δικαιωμάτων
      - Ασφαλείς σύνδεσμοι κοινής χρήσης για αρχεία
      - Μεταφόρτωση αρχείων με drag-and-drop
      - Κοινές χρήσεις με προστασία κωδικού
      - Πολλαπλές μέθοδοι αυθεντικοποίησης
      - Ανάπτυξη μέσω Docker για εύκολη εγκατάσταση

      **Μάθετε περισσότερα:**
      - [Pingvin-Share GitHub](https://github.com/stonith404/pingvin-share)

    en_GB: |
      Pingvin-Share is a self-hosted file sharing application compatible with Nextcloud apps, offering a modern and intuitive web interface. It enables users to securely store, organise, and share files without relying on external cloud services. The application supports multiple authentication methods and provides features such as share links, user accounts, and a responsive interface.

      **Key features:**
      - Modern, responsive web interface
      - User accounts with a permission system
      - Secure share links for files
      - Drag-and-drop file upload
      - Password-protected shares
      - Multiple authentication methods
      - Docker-based deployment for easy installation

      **Learn more:**
      - [Pingvin-Share GitHub](https://github.com/stonith404/pingvin-share)

    en_US: |
      Pingvin-Share is a self-hosted file sharing application compatible with Nextcloud apps, offering a modern and intuitive web interface. It enables users to securely store, organize, and share files without relying on external cloud services. The application supports multiple authentication methods and provides features such as share links, user accounts, and a responsive interface.

      **Key features:**
      - Modern, responsive web interface
      - User accounts with a permission system
      - Secure share links for files
      - Drag-and-drop file upload
      - Password-protected shares
      - Multiple authentication methods
      - Docker-based deployment for easy installation

      **Learn more:**
      - [Pingvin-Share GitHub](https://github.com/stonith404/pingvin-share)

    fr_FR: |
      Pingvin-Share est une application de partage de fichiers auto-hébergée compatible avec les applications Nextcloud, offrant une interface web moderne et intuitive. Elle permet aux utilisateurs de stocker, d’organiser et de partager des fichiers en toute sécurité sans dépendre de services cloud externes. L’application prend en charge plusieurs méthodes d’authentification et propose des fonctionnalités telles que des liens de partage, des comptes utilisateurs et une interface responsive.

      **Fonctionnalités principales :**
      - Interface web moderne et responsive
      - Comptes utilisateurs avec système de permissions
      - Liens de partage sécurisés pour les fichiers
      - Téléversement de fichiers par glisser-déposer
      - Partages protégés par mot de passe
      - Plusieurs méthodes d’authentification
      - Déploiement basé sur Docker pour une installation facile

      **En savoir plus :**
      - [Pingvin-Share GitHub](https://github.com/stonith404/pingvin-share)

    hr_HR: |
      Pingvin-Share je samostalno hostana aplikacija za dijeljenje datoteka kompatibilna s Nextcloud aplikacijama, koja nudi moderno i intuitivno web sučelje. Omogućuje korisnicima sigurno spremanje, organiziranje i dijeljenje datoteka bez oslanjanja na vanjske cloud usluge. Aplikacija podržava više metoda autentikacije i nudi funkcije poput poveznica za dijeljenje, korisničkih računa i responzivnog sučelja.

      **Glavne značajke:**
      - Moderno, responzivno web sučelje
      - Korisnički računi sa sustavom dozvola
      - Sigurne poveznice za dijeljenje datoteka
      - Učitavanje datoteka povlačenjem i ispuštanjem
      - Dijeljenja zaštićena lozinkom
      - Više metoda autentikacije
      - Docker implementacija za jednostavnu instalaciju

      **Saznajte više:**
      - [Pingvin-Share GitHub](https://github.com/stonith404/pingvin-share)

    it_IT: |
      Pingvin-Share è un'applicazione di condivisione file self-hosted compatibile con le app Nextcloud, che offre un'interfaccia web moderna e intuitiva. Consente agli utenti di archiviare, organizzare e condividere file in modo sicuro senza dipendere da servizi cloud esterni. L'applicazione supporta più metodi di autenticazione e offre funzionalità come link di condivisione, account utente e un'interfaccia responsive.

      **Funzionalità principali:**
      - Interfaccia web moderna e responsive
      - Account utente con sistema di autorizzazioni
      - Link di condivisione sicuri per i file
      - Caricamento file con drag-and-drop
      - Condivisioni protette da password
      - Più metodi di autenticazione
      - Distribuzione basata su Docker per una facile installazione

      **Scopri di più:**
      - [Pingvin-Share GitHub](https://github.com/stonith404/pingvin-share)

    ja_JP: |
      Pingvin-ShareはNextcloudアプリと互換性のあるセルフホスト型のファイル共有アプリケーションで、モダンで直感的なWebインターフェースを提供します。外部のクラウドサービスに依存せず、ファイルを安全に保存・整理・共有できます。複数の認証方式をサポートし、共有リンク、ユーザーアカウント、レスポンシブなUIなどの機能を備えています。

      **主な機能：**
      - モダンでレスポンシブなWebインターフェース
      - 権限システム付きユーザーアカウント
      - ファイル用の安全な共有リンク
      - ドラッグ＆ドロップによるファイルアップロード
      - パスワード保護された共有
      - 複数の認証方式
      - Dockerによる簡単な導入

      **詳細：**
      - [Pingvin-Share GitHub](https://github.com/stonith404/pingvin-share)

    ko_KR: |
      Pingvin-Share는 Nextcloud 앱과 호환되는 자체 호스팅 파일 공유 애플리케이션으로, 현대적이고 직관적인 웹 인터페이스를 제공합니다. 외부 클라우드 서비스에 의존하지 않고 파일을 안전하게 저장, 정리 및 공유할 수 있습니다. 다양한 인증 방식을 지원하며 공유 링크, 사용자 계정, 반응형 인터페이스 등의 기능을 제공합니다.

      **주요 기능:**
      - 현대적이고 반응형 웹 인터페이스
      - 권한 시스템이 있는 사용자 계정
      - 파일을 위한 안전한 공유 링크
      - 드래그 앤 드롭 파일 업로드
      - 비밀번호 보호 공유
      - 다양한 인증 방식 지원
      - 쉬운 설치를 위한 Docker 기반 배포

      **자세히 알아보기:**
      - [Pingvin-Share GitHub](https://github.com/stonith404/pingvin-share)

    nb_NO: |
      Pingvin-Share er en selv-hostet fildelingsapplikasjon som er kompatibel med Nextcloud-apper og tilbyr et moderne og intuitivt webgrensesnitt. Den lar brukere lagre, organisere og dele filer sikkert uten å være avhengig av eksterne skytjenester. Applikasjonen støtter flere autentiseringsmetoder og tilbyr funksjoner som delelenker, brukerkontoer og et responsivt grensesnitt.

      **Hovedfunksjoner:**
      - Moderne, responsivt webgrensesnitt
      - Brukerkontoer med tillatelsessystem
      - Sikre delelenker for filer
      - Dra-og-slipp filopplasting
      - Passordbeskyttede delinger
      - Flere autentiseringsmetoder
      - Docker-basert distribusjon for enkel installasjon

      **Les mer:**
      - [Pingvin-Share GitHub](https://github.com/stonith404/pingvin-share)

    pt_PT: |
      Pingvin-Share é uma aplicação de partilha de ficheiros auto-hospedada compatível com aplicações Nextcloud, oferecendo uma interface web moderna e intuitiva. Permite aos utilizadores armazenar, organizar e partilhar ficheiros de forma segura sem depender de serviços cloud externos. A aplicação suporta vários métodos de autenticação e fornece funcionalidades como links de partilha, contas de utilizador e uma interface responsiva.

      **Funcionalidades principais:**
      - Interface web moderna e responsiva
      - Contas de utilizador com sistema de permissões
      - Links de partilha seguros para ficheiros
      - Carregamento de ficheiros com arrastar e largar
      - Partilhas protegidas por palavra-passe
      - Vários métodos de autenticação
      - Implementação baseada em Docker para fácil instalação

      **Saiba mais:**
      - [Pingvin-Share GitHub](https://github.com/stonith404/pingvin-share)

    ru_RU: |
      Pingvin-Share — это самостоятельно размещаемое приложение для обмена файлами, совместимое с приложениями Nextcloud и предлагающее современный и интуитивно понятный веб-интерфейс. Оно позволяет пользователям безопасно хранить, организовывать и делиться файлами без зависимости от внешних облачных сервисов. Приложение поддерживает несколько методов аутентификации и предоставляет такие функции, как ссылки для обмена, учетные записи пользователей и адаптивный интерфейс.

      **Основные возможности:**
      - Современный, адаптивный веб-интерфейс
      - Учетные записи пользователей с системой прав доступа
      - Безопасные ссылки для обмена файлами
      - Загрузка файлов методом drag-and-drop
      - Общий доступ, защищённый паролем
      - Несколько методов аутентификации
      - Docker-развертывание для простой установки

      **Подробнее:**
      - [Pingvin-Share GitHub](https://github.com/stonith404/pingvin-share)

    sv_SE: |
      Pingvin-Share är en självhostad fildelningsapplikation som är kompatibel med Nextcloud-appar och erbjuder ett modernt och intuitivt webbgränssnitt. Den gör det möjligt för användare att lagra, organisera och dela filer säkert utan att förlita sig på externa molntjänster. Applikationen stöder flera autentiseringsmetoder och erbjuder funktioner som delningslänkar, användarkonton och ett responsivt gränssnitt.

      **Huvudfunktioner:**
      - Modernt, responsivt webbgränssnitt
      - Användarkonton med behörighetssystem
      - Säkra delningslänkar för filer
      - Dra-och-släpp filuppladdning
      - Lösenordsskyddade delningar
      - Flera autentiseringsmetoder
      - Docker-baserad distribution för enkel installation

      **Läs mer:**
      - [Pingvin-Share GitHub](https://github.com/stonith404/pingvin-share)

    tr_TR: |
      Pingvin-Share, Nextcloud uygulamalarıyla uyumlu, modern ve sezgisel bir web arayüzü sunan kendi kendine barındırılan bir dosya paylaşım uygulamasıdır. Kullanıcıların harici bulut hizmetlerine bağlı kalmadan dosyaları güvenli bir şekilde depolamasına, düzenlemesine ve paylaşmasına olanak tanır. Uygulama birden fazla kimlik doğrulama yöntemini destekler ve paylaşım bağlantıları, kullanıcı hesapları ve duyarlı bir arayüz gibi özellikler sunar.

      **Temel özellikler:**
      - Modern, duyarlı web arayüzü
      - Yetki sistemi olan kullanıcı hesapları
      - Dosyalar için güvenli paylaşım bağlantıları
      - Sürükle-bırak dosya yükleme
      - Parola korumalı paylaşımlar
      - Birden fazla kimlik doğrulama yöntemi
      - Kolay kurulum için Docker tabanlı dağıtım

      **Daha fazla bilgi:**
      - [Pingvin-Share GitHub](https://github.com/stonith404/pingvin-share)

    zh_CN: |
      Pingvin-Share是一个与Nextcloud应用兼容的自托管文件共享应用，提供现代、直观的Web界面。它允许用户安全地存储、整理和共享文件，而无需依赖外部云服务。该应用支持多种身份验证方法，并提供共享链接、用户账户和响应式界面等功能。

      **主要功能：**
      - 现代、响应式Web界面
      - 具有权限系统的用户账户
      - 文件的安全共享链接
      - 拖放式文件上传
      - 密码保护的共享
      - 多种身份验证方法
      - 基于Docker的部署，便于安装

      **了解更多：**
      - [Pingvin-Share GitHub](https://github.com/stonith404/pingvin-share)


  category: Utilities
  author: stonith404
  developer: stonith404
  icon: https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/Pingvin-Share/icon.png
  screenshot_link: 
    - https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/Pingvin-Share/screenshot-1.png
    - https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/Pingvin-Share/screenshot-2.png
    - https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/Pingvin-Share/screenshot-3.png
  main: pingvin-share
  port_map: "3410"
  architectures:
    - amd64
    - arm64
  index: /
  scheme: http
